Sleep (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Sleep class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Sleep

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Sleep

public class Sleep
extends Task

Sleep, or pause, for a period of time. A task for sleeping a short period of time, useful when a build or deployment process requires an interval between tasks.

A negative value can be supplied to any of attributes provided the total sleep time is positive, pending fundamental changes in physics and JVM execution tims

Note that sleep times are always hints to be interpred by the OS how it feels small times may either be ignored or rounded up to a minimum timeslice. Note also that the system clocks often have a fairly low granularity too, which complicates measuring how long a sleep actually took.

Since:
  Ant 1.4
Author:
  steve_l@iseran.com steve loughran

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Sleep()` Creates new instance

Method Summary
`void` | `doSleep(long millis)` sleep for a period of time
`void` | `execute()` Executes this build task.
`void` | `setFailOnError(boolean failOnError)` flag controlling whether to break the build on an error.
`void` | `setHours(int hours)` hours to add to the sleep time.
`void` | `setMilliseconds(int milliseconds)` milliseconds to add to the sleep time
`void` | `setMinutes(int minutes)` minutes to add to the sleep time
`void` | `setSeconds(int seconds)` seconds to add to the sleep time
`void` | `validate()` verify parameters

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sleep

    public Sleep()

  Creates new instance

Method Detail

### setSeconds

    public void setSeconds(int seconds)

  seconds to add to the sleep time

  Parameters:
    `seconds` - The new Seconds value

### setHours

    public void setHours(int hours)

  hours to add to the sleep time.

  Parameters:
    `hours` - The new Hours value

### setMinutes

    public void setMinutes(int minutes)

  minutes to add to the sleep time

  Parameters:
    `minutes` - The new Minutes value

### setMilliseconds

    public void setMilliseconds(int milliseconds)

  milliseconds to add to the sleep time

  Parameters:
    `milliseconds` - The new Milliseconds value

### doSleep

    public void doSleep(long millis)

  sleep for a period of time

  Parameters:
    `millis` - time to sleep

### setFailOnError

    public void setFailOnError(boolean failOnError)

  flag controlling whether to break the build on an error.

  Parameters:
    `failOnError` - The new FailOnError value

### validate

    public void validate()
                  throws BuildException

  verify parameters

  Throws:
    `BuildException` - if something is invalid

### execute

    public void execute()
                 throws BuildException

  Executes this build task. Throws org.apache.tools.ant.BuildException if there is an error during task execution.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - Description of Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.